Draft Courbe de Bézier

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft BezCurve and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Page précédente : Draft CubicBezCurve.svg Courbe de Bézier cubique
Page suivante : Point Draft Point.svg Arrow-right.svg

Draft BezCurve.svg Draft Courbe de Bézier

Emplacement du menu
Drafting → Outils Bézier → Courbe de Bézier
Ateliers
Draft, Arch
Raccourci par défaut
B Z
Introduit dans la version
0.14
Voir aussi
Draft Courbe de Bézier cubique, Draft B-spline

Description

La commande Draft BezCurve.svg Draft Courbe de Bézier crée une courbe de Bézier à partir de plusieurs points.

La commande crée une seule courbe de Bézier dont la DonnéesDegree est number_of_points - 1. Elle peut être transformée en une courbe de Bézier par morceaux en réduisant cette propriété.

Les commandes Draft Courbe de Bézier et Draft Courbe de Bézier cubique utilisent des points de contrôle pour définir la position et la courbure de la spline. La commande Draft B-spline, quant à elle, spécifie les points exacts par lesquels la courbe passera.

Draft BezCurve Example.png

Courbe de Bézier définie par plusieurs points de control

Utilisation

Voir aussi: Draft La barre, Draft Accrochage et Draft Contrainte.

  1. Il existe plusieurs façons de lancer la commande :
  2. Le panneau de tâches Courbe de Bézier s'ouvre. Voir Options pour plus d'informations.
  3. Choisissez le premier point dans la Vue 3D ou rentrez des coordonnées et appuyez sur le bouton Draft AddPoint.svg Entrez le point.
  4. Choisissez des points supplémentaires dans la Vue 3D ou rentrez des coordonnées et appuyez sur le bouton Draft AddPoint.svg Entrez le point.
  5. Appuyez sur Echap ou sur le bouton Fermer pour terminer la commande.

Options

Les raccourcis clavier à caractère unique disponibles dans le panneau des tâches peuvent être modifiés. Voir Draft Préférences. Les raccourcis mentionnés ici sont les raccourcis par défaut.

  • Pour saisir manuellement des coordonnées, entrez les valeurs X, Y et Z et appuyez sur Entrée après chacune. Ou vous pouvez appuyer sur le bouton Draft AddPoint.svg Entrez le point lorsque vous avez les valeurs souhaitées. Il est conseillé de déplacer le pointeur hors de la Vue 3D avant de saisir les coordonnées.
  • Appuyez sur R ou cliquez sur la case Relative pour activer le mode relatif. Si le mode relatif est activé, les coordonnées sont relatives au dernier point, si disponible, sinon elles sont relatives à l'origine du système de coordonnées.
  • Appuyez sur G ou cliquez sur la case Global pour activer le mode global. Si le mode global est activé, les coordonnées sont relatives au système de coordonnées global, sinon elles sont relatives au système de coordonnées du plan de travail. Introduit dans la version 0.20
  • Appuyez sur L ou cliquez sur la case Rempli pour activer le mode de remplissage. Si le mode rempli est activé, la courbe créée aura la valeur DonnéesMake Face mis à true et aura une face remplie, à condition qu'elle soit fermée et ne s'auto-intersectionne pas. Notez qu'une courbe qui s'auto-intersecte avec une face ne s'affichera pas correctement. Pour une telle courbe, DonnéesMake Face doit être défini sur false.
  • Appuyez sur T ou cliquez sur la case Continuer pour activer le mode continu. Si le mode continu est activé, la commande redémarre après avoir utilisé Draft FinishLine.svg Terminer ou Draft CloseLine.svg Fermer, ou après avoir créé une courbe fermée en la fixant au premier point de la courbe, ce qui vous permet de continuer à créer des courbes.
  • Appuyez sur le bouton Draft UndoLine.svg Annuler pour annuler le dernier point. Le raccourci clavier Ctrl+Z ne fonctionne pas actuellement.
  • Appuyez sur A ou sur le bouton Draft FinishLine.svg Terminer pour terminer la commande et laisser la courbe ouverte.
  • Appuyez sur O ou sur le bouton Draft CloseLine.svg Fermer pour terminer la commande et fermer la courbe. Une courbe fermée peut également être créée en se plaçant au premier point de la courbe.
  • Appuyez sur W ou sur le bouton Draft Wipe.svg Effacer pour supprimer les segments déjà placés, mais continuez à travailler à partir du dernier point.
  • Appuyez sur U ou sur le bouton Draft SelectPlane.svg Définir le plan de travail pour ajuster le plan de travail actuel dans l'orientation définie par le dernier et le précédent point.
  • Appuyez sur S pour activer ou désactiver Draft Accrochage.
  • Appuyez sur Echap ou sur le bouton Fermer pour terminer la commande.

Remarques

  • Une Draft Courbe de Bézier peut être éditée avec la commande Draft Edition.
  • OpenCascade, et donc FreeCAD, ne supporte pas les courbes de Bézier de degrés supérieurs à 25. Cela ne devrait pas être un problème en pratique, car la plupart des utilisateurs utilisent généralement des courbes de Bézier de degrés 3 à 5.

Préférences

Voir aussi : Réglage des préférences et Draft Préférences.

  • Pour modifier le nombre de décimales utilisées pour la saisie des coordonnées : Édition → Préférences... → Général → Unités → Système d'unités → Nombre de décimales.
  • Pour modifier la valeur initiale du mode rempli : Édition → Préférences... → Draft → Paramètres généraux → Options des outils de Draft → Remplir les objets avec des faces si possible. La modification du mode rempli dans un panneau de tâches annule cette préférence pour la session FreeCAD en cours.

Propriétés

Voir aussi: Éditeur de propriétés

Un objet Draft Courbe de Bézier est dérivé d'un Part Part2DObject et hérite de toutes ses propriétés. Il possède également les propriétés supplémentaires suivantes :

Données

Draft

  • DonnéesArea (Area) : (en lecture seule) spécifie la surface de la face de la courbe. La valeur sera 0.0 si DonnéesMake Face est false ou si la face ne peut être créée.
  • DonnéesClosed (Bool) : spécifie si la courbe est fermée ou non. Si la courbe est initialement ouverte, cette valeur est false, si vous lui attribuez la valeur true, un segment sera dessiné pour fermer la courbe. Si la courbe est initialement fermée, cette valeur est true, la mettre à false supprimera le dernier segment et rendra la courbe ouverte.
  • DonnéesContinuity (IntegerList) : (en lecture seule) spécifie la continuité de la courbe.
  • DonnéesDegree (Integer) : spécifie le degré de la courbe.
  • DonnéesLength (Length) : (en lecture seule) spécifie la longueur totale de la courbe.
  • DonnéesMake Face (Bool) : spécifie si la courbe fait une face ou non. Si c'est true, une face est créée, sinon seul le périmètre est considéré comme faisant partie de l'objet. Cette propriété ne fonctionne que si DonnéesClosed est true et si la courbe ne s'auto-intersecte pas.
  • DonnéesPoints (VectorList) : spécifie les points de contrôle de la courbe dans son système de coordonnées local.

Vue

Draft

  • VueArrow Size (Length) : spécifie la taille du symbole affiché à l'extrémité de la courbe.
  • VueArrow Type (Enumeration) : spécifie le type de symbole affiché à la fin de la courbe, qui peut être Dot, Circle, Arrow, Tick ou Tick-2.
  • VueEnd Arrow (Bool) : spécifie s'il faut afficher un symbole à la fin de la courbe, afin qu'elle puisse être utilisée comme ligne d'annotation.
  • VuePattern (Enumeration) : spécifie le Draft Motif avec lequel remplir la face de la courbe fermée. Cette propriété ne fonctionne que si DonnéesMake Face est true et si VueDisplay Mode est Flat Lines.
  • VuePattern Size (Float) : spécifie la taille du Draft Motif.

Script

Voir aussi: Autogenerated API documentation et Débuter avec les scripts FreeCAD.

Pour créer une Draft Ligne, utilisez la méthode make_bezcurve (Introduit dans la version 0.19) du module Draft. Cette méthode remplace la méthode dépréciée makeBezCurve.

bezcurve = make_bezcurve(pointslist, closed=False, placement=None, face=None, support=None, degree=None)
bezcurve = make_bezcurve(Part.Wire, closed=False, placement=None, face=None, support=None, degree=None)
  • Crée un objet bezcurve avec la liste de points donnée, pointslist.
    • Chaque point de la liste est défini par son FreeCAD.Vector, en millimètres.
    • Sinon, l'entrée peut être un Part.Wire à partir duquel les points sont extraits.
  • Si closed est True ou si les premier et dernier points sont identiques, la courbe est fermée.
  • Si un placement est None, la courbe est créée à l'origine.
  • Si face est True et la courbe est fermée, la courbe fera une face, c'est-à-dire qu'elle apparaîtra remplie.

Exemple :

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(2000, 0, 0)
p4 = App.Vector(1500, -2000, 0)

bezcurve1 = Draft.make_bezcurve([p1, p2, p3, p4], closed=True)
bezcurve2 = Draft.make_bezcurve([p4, 1.3*p2, p1, 4.1*p3], closed=True)
bezcurve3 = Draft.make_bezcurve([1.7*p3, 1.5*p4, 2.1*p2, p1], closed=True)

doc.recompute()


Arrow-left.svg Page précédente : Draft CubicBezCurve.svg Courbe de Bézier cubique
Page suivante : Point Draft Point.svg Arrow-right.svg